<?php

namespace app\assets;

use yii\web\AssetBundle;
use yii\bootstrap\BootstrapAsset;
use yii\web\JqueryAsset;

/**
 * Class BootstrapDialogAsset
 */
class BootstrapDialogAsset extends AssetBundle
{
    /**
     * @inheritdoc
     */
    public $js = [
        'js/bootstrap-dialog.js',
    ];

    /**
     * @inheritdoc
     */
    public $css = [
        'css/bootstrap-dialog.css',
    ];

    /**
     * @inheritdoc
     */
    public $depends = [
        JqueryAsset::class,
        BootstrapAsset::class,
    ];

    /**
     * @inheritdoc
     */
    public function init()
    {
        $this->sourcePath = __DIR__ . '/bootstrapDialog';
        parent::init();
    }
}
