<?php

namespace app\assets;

use kartik\form\ActiveFormAsset;
use kartik\select2\Select2Asset;
use yii\web\AssetBundle;

/**
 * Class ParticipantAsset
 */
class ParticipantAsset extends AssetBundle
{
    /* @inheritdoc */
    public $css = [
        'css/participant.css',
    ];

    /* @inheritdoc */
    public $js = [
        'js/participant.js',
    ];

    /* @inheritdoc */
    public $depends = [
        ActiveFormAsset::class,
        Select2Asset::class,
    ];

    /* @inheritdoc */
    public function init()
    {
        if (YII_DEBUG) {
            $this->publishOptions['forceCopy'] = true;
        }

        $this->sourcePath = __DIR__ . '/participant';
        parent::init();
    }
}