<?php

namespace app\assets;

use bupy7\cropbox\CropboxAsset;
use yii\web\AssetBundle;

/**
 * Class UploadPictureAsset
 */
class UploadPictureAsset extends AssetBundle
{
    /* @inheritdoc */
    public $js = [
        'js/upload-picture.js',
    ];

    /* @inheritdoc */
    public $depends = [
        CropboxAsset::class,
    ];

    /* @inheritdoc */
    public function init()
    {
        if (YII_DEBUG) {
            $this->publishOptions['forceCopy'] = true;
        }

        $this->sourcePath = __DIR__ . '/upload-picture';
        parent::init();
    }
}