<?php

namespace app\components\metronic;

use yii\web\AssetBundle;

/**
 * Class MetronicAsset
 */
class MetronicAsset extends AssetBundle
{
    /* @inheritdoc */
    public $jsOptions = ['condition' => 'lte IE 9'];

    /* @inheritdoc */
    public $js = [
        'global/plugins/respond.min.js',
        'global/plugins/excanvas.min.js',
    ];

    /* @inheritdoc */
    public $depends = [
        MetronicBaseAsset::class,
    ];

    /**
     * @inheritDoc
     */
    public function init()
    {
        $this->sourcePath = \Yii::$app->basePath . '/metronic/theme/assets';
        parent::init();
    }
}
