<?php

namespace app\components\metronic\bundles\globa\plugins;

use app\components\metronic\MetronicAssetBundle;

/**
 * Class BootboxAsset
 */
class BootboxAsset extends MetronicAssetBundle
{
    /**
     * @inheritdoc
     */
    public $js = [
        'bootbox/bootbox.min.js',
    ];

    /**
     * @inheritdoc
     */
    public $depends = [
        'yii\web\JqueryAsset',
        'yii\bootstrap\BootstrapAsset',
    ];

    /**
     * @inheritdoc
     */
    public function init()
    {
        $this->setSourcePath(\Yii::$app->basePath . '/metronic/theme/assets/global/plugins');

        parent::init();
    }
}
