<?php
namespace app\components\metronic\bundles\globa\plugins;

use app\components\metronic\MetronicAssetBundle;

/**
 * Class InputMaskAsset
 */
class InputMaskAsset extends MetronicAssetBundle
{
    /**
     * @inheritdoc
     */
    public $js = [
        'jquery-inputmask/jquery.inputmask.bundle.min.js',
    ];

    /**
     * @inheritdoc
     */
    public $depends = [
        'yii\web\JqueryAsset',
    ];

    /**
     * @inheritdoc
     */
    public function init()
    {
        $this->setSourcePath(\Yii::$app->basePath . '/metronic/theme/assets/global/plugins');

        parent::init();
    }
}
