<?php
namespace app\components\metronic\bundles\globa\plugins;

use app\components\metronic\MetronicAssetBundle;

/**
 * Class Select2Asset
 */
class Select2Asset extends MetronicAssetBundle
{
    /* @inheritdoc */
    public $js = [
        'select2/js/i18n/pt-BR.js',
    ];

    /* @inheritdoc */
    public $css = [
        'select2/css/select2-bootstrap.min.css',
    ];

    /* @inheritdoc */
    public function init()
    {
        $this->setSourcePath(\Yii::$app->basePath . '/metronic/theme/assets/global/plugins');

        $this->setupAssets('js', [
            'select2/js/select2',
        ]);

        $this->setupAssets('css', [
            'select2/css/select2',
        ]);

        parent::init();
    }
}
