<?php
namespace app\components\metronic\bundles\pages\scripts;

use app\components\metronic\MetronicAssetBundle;

/**
 * Class ComponentsPickersAsset
 */
class ComponentsPickersAsset extends MetronicAssetBundle
{
    /* @var array */
    public $depends = [
        'dosamigos\datepicker\DatePickerAsset',
    ];

    /**
     * @inheritdoc
     */
    public function init()
    {
        $this->setSourcePath(\Yii::$app->basePath . '/metronic/theme/assets/pages');
        $this->setupAssets('js', [
            'scripts/components-pickers',
        ]);
        parent::init();
    }
}
