<?php

use app\helpers\MenuItems;

/* @var $this \yii\web\View */
/* @var \app\helpers\MenuItems $menuItens */

$menuItens = new MenuItems();
$participantProfile = \app\models\ParticipantProfile::find()->one();
?>
<div class="page-top">

    <!-- BEGIN TOP NAVIGATION MENU -->
    <div class="top-menu">
        <ul class="nav navbar-nav pull-right">
            <!-- BEGIN USER LOGIN DROPDOWN -->
            <li class="dropdown dropdown-user">
                <span class="dropdown-toggle" data-toggle="dropdown" data-hover="dropdown" data-close-others="true">
                    <img alt="" class="img-circle img-circle-avatar" src="<?= $participantProfile ? $participantProfile->pictureUrl(false) : '' ?>"/>
                    <?php
                    echo '<span class="username username-hide-on-mobile">' . ($participantProfile ? $participantProfile->nickname : '') . '</span>';
                    ?>       
                </span>

            </li>

            <li class="dropdown dropdown-quick-sidebar-toggler">
                <a href="/site/logout" class="dropdown-toggle" title="<?= Yii::t('app', 'Sair') ?>" data-toggle="tooltip" data-placement="left">
                    <i class="icon-logout"></i>
                </a>
            </li>
            <!-- END USER LOGIN DROPDOWN -->

        </ul>
    </div>
    <!-- END TOP NAVIGATION MENU -->
</div>
