<?php

namespace app\helpers;

use Yii;

/**
 * Class MenuItems
 */
class MenuItems
{
    /**
     * @return array
     */
    public static function principal()
    {
        return [
            [
                'label' => 'Dashboard',
                'items' => [
                    [
                        'icon' => 'icon-paper-plane',
                        'label' => 'Eventos',
                        'url' => ['/event/index'],
                    ]
                ],
            ],
            [
                'icon' => 'icon-home',
                'label' => 'Dashboard',
                'items' => [
                    [
                        'icon' => 'icon-paper-plane',
                        'label' => 'Eventos',
                        'url' => ['/event/index'],
                    ]
                ],
            ],
        ];
    }

    /**
     * @return array
     */
    public static function pessoal()
    {
        return [
            [
                'label' => Yii::t('app', 'Sair'),
                'icon' => 'sign-out',
                'url' => ['/site/logout'],
                'linkOptions' => ['data-method' => 'post', 'id' => 'btnLogout'],
            ],
        ];
    }
}
