<?php

use yii\db\Migration;

/**
 * Class m180121_143257_id_login_auto_increment
 */
class m180121_143257_id_login_auto_increment extends Migration
{
    /**
     * @inheritdoc
     */
    public function safeUp()
    {
        $this->addColumn('login', 'email_verified', $this->smallInteger(1)->defaultValue(0));

        $this->execute('SET FOREIGN_KEY_CHECKS=0;');
        $this->alterColumn('login', 'id_login', 'INT(10) AUTO_INCREMENT');
        $this->addForeignKey('fk_login_participant', 'participants', 'id_login', 'login', 'id_login', 'NO ACTION', 'NO ACTION');
        $this->execute('SET FOREIGN_KEY_CHECKS=1;');
    }

    /**
     * @inheritdoc
     */
    public function safeDown()
    {
        $this->dropColumn('login', 'email_verified');

        $this->execute('SET FOREIGN_KEY_CHECKS=0;');
        $this->dropForeignKey('fk_login_participant', 'participants');
        $this->alterColumn('login', 'id_login', $this->integer(10));
        $this->execute('SET FOREIGN_KEY_CHECKS=1;');
    }
}
