<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
use app\components\metronic\bundles\pages\styles\LoginAsset;

LoginAsset::register($this);

$this->title = Yii::t('app', 'Resetar Senha');
$this->params['breadcrumbs'][] = $this->title;

?>

<div class="user-default-reset">
    
    <?php if (!empty($success)): ?>
    
        <?php $form = ActiveForm::begin(['id' => 'login-form']) ?>

        <h3 class="form-title font-green"><?= Yii::t('app', 'Definir nova password') ?></h3>

        <div class="alert alert-success">
                        
            <p><?= Yii::t('app', 'Senha resetada com sucesso') ?></p>

        </div>
        
        <div class="form-actions">

            <?= Html::a(Yii::t('app', 'Voltar'), ['/user/login'], ['style' => 'margin-right: 10px;', 'class' => 'btn btn-default uppercase pull-right ladda-button', 'data-style' => 'zoom-in']) ?><br>

        </div>

        <?php ActiveForm::end(); ?>

    <?php elseif (!empty($invalidToken)): ?>

        <?php $form = ActiveForm::begin(['id' => 'login-form']) ?>

        <h3 class="form-title font-green"><?= Yii::t('app', 'Definir nova password') ?></h3>

        <div class="alert alert-danger">
                        
            <p><?= Yii::t('app', 'Token invalido') ?></p>

        </div>
        
        <div class="form-actions">

            <?= Html::a(Yii::t('app', 'Voltar'), ['/user/login'], ['style' => 'margin-right: 10px;', 'class' => 'btn btn-default uppercase pull-right ladda-button', 'data-style' => 'zoom-in']) ?><br>

        </div>

        <?php ActiveForm::end(); ?>

    <?php else: ?>
    
    
        <?php $form = ActiveForm::begin(['id' => 'login-form']) ?>

        <h3 class="form-title font-green"><?= Yii::t('app', 'Definir nova password') ?></h3>

        <?= $form->field($user, 'newPassword')
            ->passwordInput(['placeholder' => Yii::t('app', 'Password'), 'class' => 'form-control form-control-solid placeholder-no-fix'])
            ->label(null, ['class' => ' visible-ie8 visible-ie9']) ?>

        <?= $form->field($user, 'newPasswordConfirm')
            ->passwordInput(['placeholder' => Yii::t('app', 'Password'), 'class' => 'form-control form-control-solid placeholder-no-fix'])
            ->label(null, ['class' => ' visible-ie8 visible-ie9']) ?>

        <div class="form-actions">

            <?= Html::submitButton(Yii::t('user', 'Resetar'), ['class' => 'btn btn-success green uppercase pull-right ladda-button', 'data-style' => 'zoom-in']) ?><br>

        </div>

        <?php ActiveForm::end(); ?>

    <?php endif; ?>

</div>