<?php

use app\helpers\ActiveForm;
use kartik\helpers\Html;

/* @var $this yii\web\View */
/* @var $model app\models\EventKind */
/* @var $form ActiveForm */
?>
<div class="row">
    <div class="col-sm-12 col-lg-12">
        <div class="event-kind-form">
            <div class="portlet light bordered">
                <div class="portlet-body form">
                    <?php $form = ActiveForm::begin(['type' => ActiveForm::TYPE_HORIZONTAL, 'formConfig' => ['labelSpan' => 3]]); ?>
                    <p class="text-right">
                        <?= Html::a(Html::icon('menu-left') . ' ' . Yii::t('app', 'Voltar'), ['index'], ['class' => 'btn default']) ?>
                    </p>

                    <?php if ($model->canDelete()) : ?>

                        <?= $form->field($model, 'id_event_kind')->textInput(['maxlength' => true]) ?>

                    <?php else : ?>

                        <?= $form->field($model, 'id_event_kind')->staticInput() ?>

                    <?php endif; ?>

                    <?= $form->field($model, 'name')->textInput(['maxlength' => true]) ?>

                    <?= $this->render('@layouts/_btnFormActions') ?>
                    <?php ActiveForm::end(); ?>

                </div>
            </div>
        </div>
    </div>
</div>
