<?php

use app\helpers\ActiveForm;

/** @var $this yii\web\View */
/** @var $model app\models\PasswordForm */

$this->title = Yii::t('app', 'Alterar Password');
$this->params['breadcrumbs'][] = $this->title;

?>
<div class="participant-password">
    <div class="row">
        <div class="col-sm-12 col-lg-12">
            <div class="participant-form">
                <div class="portlet light bordered">
                    <div class="portlet-body form">
                        <?php $form = ActiveForm::begin(); ?>

                        <?= $form->field($model, 'password')->passwordInput() ?>

                        <?= $form->field($model, 'passwordConfirm')->passwordInput() ?>

                        <?= $this->render('@layouts/_btnFormActions') ?>

                        <?php ActiveForm::end(); ?>

                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
