<?php

use kartik\helpers\Html;
use yii\widgets\DetailView;

/* @var $this yii\web\View */
/* @var $model app\models\Zone1 */

$this->title = "ID:{$model->id_zone1} - " . $model->name;
$this->params['breadcrumbs'][] = ['label' => Yii::t('app', 'Gerir Distritos'), 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="row">
    <div class="col-sm-12 col-lg-12">
        <div class="zone1-view">
            <div class="portlet light bordered">
                <div class="portlet-body form">
                    <p><?= $this->render('@layouts/_btnViewActions', ['canDelete' => $model->canDelete(), 'modelId' => $model->id_zone1]) ?></p>

                    <div class="row">
                        <div class="col-md-12">
                            <?= DetailView::widget([
                            'model' => $model,
                            'options' => ['class' => 'table table-striped detail-view'],
                            'attributes' => [
                            [
                            'attribute' => 'id_zone1',
                            'captionOptions' => ['class' => 'col-xs-4'],
                            'contentOptions' => ['class' => 'col-xs-8'],
                            ],
                                        'name',
                            ],
                            ]) ?>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
