jQuery(document).ready(function () {
    function blockUI() {
        App.blockUI({target: ".row-select-zones", animate: !0});
    }

    function unblockUI() {
        App.unblockUI(".row-select-zones");
    }

    $('#entity-id_zone1').on('change', function () {
        blockUI();
        $.ajax({
            url: 'zone2?id_zone1=' + $(this).val()
        })
            .done(function (result) {
                var selectZone2 = $('#entity-id_zone2');

                selectZone2.empty();
                selectZone2.append('<option></option>');
                $.each(result, function (index, value) {
                    selectZone2.append('<option value="' + index + '">' + value + '</option>');
                });

                selectZone2.trigger('change');
            })
            .always(function () {
                unblockUI();
            });
    });

    $('#entity-id_zone2').on('change', function (e) 
    {
        e.preventDefault();
        blockUI();
        $.ajax({
            url: 'zone3?id_zone2=' + $(this).val()
        })
        .done(function (result) 
        {
            var selectZone3 = $('#entity-id_zone3');
            selectZone3.empty();
            
            if(Object.keys(result).length > 0)
            {
                selectZone3.append('<option></option>');
                $.each(result, function (index, value)
                {
                    selectZone3.append('<option value="' + index + '">' + value + '</option>');
                });
                
                $('.row-select-zone3').show();
            }
            else
            {
                $('.row-select-zone3').hide();
            }
        })
        .always(function () {
            unblockUI();
        });
    });

    $('#entity-entity_is_main').on('switchChange.bootstrapSwitch', function (event, state) {
        var $divSelect2 = $('#div-select-id_entity_main');

        if (state === true) {
            $divSelect2.hide();
        } else {
            $divSelect2.show();
        }
    });
});
