<?php
namespace app\components\metronic\bundles;

use app\components\metronic\MetronicAssetBundle;
use app\components\metronic\MetronicAsset;

/**
 * Class AdminThemeAsset
 */
class AdminThemeAsset extends MetronicAssetBundle
{
    /* @var array */
    public $depends = [
        MetronicAsset::class,
    ];

    /* @inheritdoc */
    public function init()
    {
        $this->sourcePath = \Yii::$app->basePath . '/metronic/theme/assets/layouts/layout';
        $this->setupAssets('css', [
            'css/layout',
            'css/themes/darkblue',
            'css/custom',
        ]);

        $this->setupAssets('js', [
            'scripts/layout',
        ]);

        parent::init();
    }
}
