<?php

namespace app\components\metronic\bundles\globa\plugins;

use app\components\metronic\MetronicAssetBundle;

/**
 * Class BootboxAsset
 */
class ExtendedModals extends MetronicAssetBundle
{
    /** @inheritdoc */
    public $js = [
        'js/bootstrap-modal.js',
        'js/bootstrap-modalmanager.js',
    ];

    /** @inheridoc */
    public $css = [
        'css/bootstrap-modal.css',
    ];

    /** @inheritdoc */
    public function init()
    {
        $this->setSourcePath(\Yii::$app->basePath . '/metronic/theme/assets/global/plugins/bootstrap-modal');

        parent::init();
    }
}
