<?php
namespace app\components\metronic\bundles\globa\plugins;

use app\components\metronic\MetronicAssetBundle;

/**
 * Class LaddaAsset
 */
class LaddaAsset extends MetronicAssetBundle
{
    /* @inheritdoc */
    public $js = [
        'ladda/spin.min.js',
        'ladda/ladda.min.js',
    ];

    /* @inheritdoc */
    public $css = [
        'ladda/ladda-themeless.min.css',
    ];

    /* @inheritdoc */
    public function init()
    {
        $this->setSourcePath(\Yii::$app->basePath . '/metronic/theme/assets/global/plugins');

        parent::init();
    }
}
