<?php

namespace app\components\metronic\bundles\globa\plugins;

use app\components\metronic\MetronicAssetBundle;
use yii\web\JqueryAsset;

class NoUiSliderAsset extends MetronicAssetBundle
{
    /** @inheridoc */
    public $css = [
        'nouislider.min.css',
        'nouislider.pips.css',
    ];

    /** @inheridoc */
    public $js = [
        'nouislider.min.js',
        'wNumb.min.js',
    ];

    /** @inheridoc */
    public $depends = [
        JqueryAsset::class,
    ];

    public function init()
    {
        $this->setSourcePath(\Yii::$app->basePath . '/metronic/theme/assets/global/plugins/nouislider');

        if (YII_DEBUG) {
            $this->css = ['nouislider.css'];
            $this->js = ['nouislider.js'];
        }
        parent::init();
    }
}
