<?php

namespace app\helpers;

use yii\helpers\ArrayHelper;

/**
 * Class ConstantsHelper
 */
class ConstantsHelper
{
    /**
     * @return array
     */
    public static function tShitSizes()
    {
        return array_combine(TSHIRT_SIZES, TSHIRT_SIZES);
    }

    /**
     * @return bool
     */
    public static function constantHasLabel($constantName)
    {
        return !empty(self::constantLabel($constantName));
    }

    /**
     * @return bool
     */
    public static function constantLabel($constantName)
    {
        $constantValue = constant($constantName);

        return ArrayHelper::getValue($constantValue, 'label');
    }

    /**
     * @return bool
     */
    public static function constantHint($constantName)
    {
        $constantValue = constant($constantName);

        return ArrayHelper::getValue($constantValue, 'hint');
    }
}
