<?php

namespace app\models;

use Yii;
use yii\helpers\ArrayHelper;

class EventParticipantView extends EventParticipant
{
    public static function tableName()
    {
        return 'view_event_participant';
    }

    public function canDelete()
    {
        false;
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return ArrayHelper::merge(parent::attributeLabels(), [
            'id_event' => Yii::t('app', 'Id_evento'),
        ], (new Participant())->attributeLabels(), (new Cluster())->attributeLabels(), (new VenueSection())->attributeLabels(), (new OrganizationRegion())->attributeLabels());
    }
}
