<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
use app\components\metronic\bundles\pages\styles\LoginAsset;

$this->title = Yii::t('app', "Recuperar password");

LoginAsset::register($this);

?>

<?php if ($flash = Yii::$app->session->getFlash('Forgot-success')): ?>
    
    <?php $form = ActiveForm::begin(['id' => 'login-forgot']) ?>

        <h3 class="form-title font-green"><?= $this->title ?></h3>

        <div class="alert alert-success">

            <p><?= $flash ?></p>

        </div>
            
        <div class="form-actions">

            <?= Html::a(Yii::t('user', 'Voltar'), ['/user/login'], ['style' => 'margin-right: 10px;', 'class' => 'btn btn-default uppercase pull-right ladda-button', 'data-style' => 'zoom-in']) ?><br>

        </div>

    <?php ActiveForm::end(); ?>

<?php else: ?>

    <?php $form = ActiveForm::begin(['id' => 'login-forgot']) ?>

        <h3 class="form-title font-green"><?= $this->title ?></h3>

        <?= $form->field($model, 'email')
            ->textInput(['placeholder' => Yii::t('app', 'Email registado'), 'class' => 'form-control form-control-solid placeholder-no-fix'])
            ->label(null, ['class' => ' visible-ie8 visible-ie9']) ?>

        <div class="form-actions">

            <?= Html::submitButton(Yii::t('app', 'Enviar'), ['class' => 'btn btn-success green uppercase pull-right ladda-button', 'data-style' => 'zoom-in']) ?>
            <?= Html::a(Yii::t('app', 'Voltar'), ['/user/login'], ['style' => 'margin-right: 10px;', 'class' => 'btn btn-default uppercase pull-right ladda-button', 'data-style' => 'zoom-in']) ?><br>

        </div>

    <?php ActiveForm::end(); ?>

<?php endif; ?>
