<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;

/* @var $this yii\web\View */
/* @var $model app\models\search\AccessManagerSearch */
/* @var $form yii\widgets\ActiveForm */
?>

<div class="access-manager-search">

    <?php $form = ActiveForm::begin([
        'action' => ['index'],
        'method' => 'get',
    ]); ?>

    <?= $form->field($model, 'id_access_manager') ?>

    <?= $form->field($model, 'name') ?>

    <?= $form->field($model, 'id_event') ?>

    <?= $form->field($model, 'access_all_platform_manager') ?>

    <?= $form->field($model, 'access_all_participants') ?>

    <?php // echo $form->field($model, 'access_restricted_logins') ?>

    <?php // echo $form->field($model, 'restricted_logins_list') ?>

    <div class="form-group">
        <?= Html::submitButton(Yii::t('app', 'Search'), ['class' => 'btn btn-primary']) ?>
        <?= Html::resetButton(Yii::t('app', 'Reset'), ['class' => 'btn btn-default']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
