<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;

/* @var $this yii\web\View */
/* @var $model app\models\search\EntitySearch */
/* @var $form yii\widgets\ActiveForm */
?>

<div class="entity-search">

    <?php $form = ActiveForm::begin([
        'action' => ['index'],
        'method' => 'get',
    ]); ?>

    <?= $form->field($model, 'id_entity') ?>

    <?= $form->field($model, 'name') ?>

    <?= $form->field($model, 'id_participant_platform_manager') ?>

    <?= $form->field($model, 'address') ?>

    <?= $form->field($model, 'city') ?>

    <?php // echo $form->field($model, 'postal_code') ?>

    <?php // echo $form->field($model, 'id_zone1') ?>

    <?php // echo $form->field($model, 'id_zone2') ?>

    <?php // echo $form->field($model, 'id_zone3') ?>

    <?php // echo $form->field($model, 'id_entity_scope') ?>

    <?php // echo $form->field($model, 'entity_is_main') ?>

    <?php // echo $form->field($model, 'id_entity_main') ?>

    <?php // echo $form->field($model, 'phone') ?>

    <?php // echo $form->field($model, 'email') ?>

    <?php // echo $form->field($model, 'direction_name') ?>

    <?php // echo $form->field($model, 'direction_email') ?>

    <?php // echo $form->field($model, 'direction_position') ?>

    <?php // echo $form->field($model, 'alternative_contact_name') ?>

    <?php // echo $form->field($model, 'alternative_contact_email') ?>

    <?php // echo $form->field($model, 'alternative_contact_direct_phone') ?>

    <?php // echo $form->field($model, 'notes') ?>

    <?php // echo $form->field($model, 'active') ?>

    <div class="form-group">
        <?= Html::submitButton(Yii::t('app', 'Search'), ['class' => 'btn btn-primary']) ?>
        <?= Html::resetButton(Yii::t('app', 'Reset'), ['class' => 'btn btn-default']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
