<?php

use app\helpers\ActiveForm;
use kartik\helpers\Html;

/* @var $this yii\web\View */
/* @var $model app\models\VenueSection */
/* @var $form ActiveForm */

?>
<div class="row">
    <div class="col-sm-12 col-lg-12">
        <div class="venue-section-form">
            <div class="portlet light bordered">
                <div class="portlet-body form">
                    <?php $form = ActiveForm::begin(['type' => ActiveForm::TYPE_HORIZONTAL, 'formConfig' => ['labelSpan' => 3]]); ?>
                    <p class="text-right">
                        <?= Html::a(Html::icon('menu-left') . ' ' . Yii::t('app', 'Voltar'), ['index', 'VenueSectionSearch' => ['id_event' => $model->id_event]], ['class' => 'btn default']) ?>
                    </p>

                    <?= $form->field($model, 'name')->textInput(['maxlength' => true]) ?>

                    <?= $form->field($model, 'id_event', ['staticValue' => "ID:{$model->id_event} - " . $model->event->name])->staticInput(); ?>

                    <?= $form->field($model, 'notes')->textarea(['rows' => 6]) ?>

                    <?= $this->render('@layouts/_btnFormActions') ?>
                    <?php ActiveForm::end(); ?>

                </div>
            </div>
        </div>
    </div>
</div>
